Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-amdefine
Version:        0.0.4
Release:        alt1_11
Summary:        Provide AMD's define() API for declaring modules in the AMD format
BuildArch:      noarch

# "amdefine is released under two licenses: new BSD, and MIT. You may pick the
#  license that best suits your development needs."
License:        BSD or MIT
URL:            https://github.com/jrburke/amdefine
Source0:        http://registry.npmjs.org/amdefine/-/amdefine-%{version}.tgz

BuildRequires:  node-devel rpm-build-nodejs
Source44: import.info

%description
A module that can be used to implement the Asynchronous Module Definition's
define() in Node. This allows you to code to the AMD API and have the module
work in node programs without requiring those other programs to use AMD.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/amdefine
cp -pr package.json amdefine.js %{buildroot}%{nodejs_sitelib}/amdefine

%files
%{nodejs_sitelib}/amdefine
%doc LICENSE README.md

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_11
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_3
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_1
- initial import

